//QInputBox 1.1 definition.  See license.txt for licensing
//copyright 2000, Spanware, Inc. David Koretzky


#ifndef _QINPUTBOX_H_
#define _QINPUTBOX_H_

#include <qwidget.h>
#include <qdialog.h>
#include <qstring.h>
#include <qlabel.h>
#include <qlineedit.h>

class QInputBox : public QDialog
{
	Q_OBJECT
public:
	QInputBox(QString caption, QString prompt, QString &defString);
public slots:
	void OKClicked();
private:
	QPushButton* btnOK;
	QPushButton* btnCancel;
	QLineEdit* txtValue;
	QLabel* lblPrompt;
	QString* m_sValue;
};

#endif